%global go_path github.com/cpuguy83

Summary: Converts markdown into roff (man pages)
Name:    go-md2man
Version: 2.0.2
Release: 6%{?dist}
License: MIT
URL:     https://github.com/cpuguy83/go-md2man
Source0: %{url}/archive/refs/tags/v%{version}.tar.gz

BuildRequires: golang go-rpm-macros git
Requires: golang

%description
This package converts markdown into roff (man pages). Uses blackfriday to process markdown into man pages.

%prep
%autosetup -n %{name}-%{version} -p1 -Sgit

%build
export GOPATH=$PWD/.gopath
mkdir -p $GOPATH/src/%{go_path}
ln -sf $PWD .gopath/src/%{go_path}/go-md2man
%gobuild -o go-md2man %{go_path}/go-md2man
./go-md2man -in go-md2man.1.md -out go-md2man.1

%install
install -p -Dm 755 go-md2man %{buildroot}%{_bindir}/go-md2man
install -p -Dm 755 go-md2man.1 %{buildroot}%{_mandir}/man1/go-md2man.1

%files
%license LICENSE.md
%doc README.md go-md2man.1.md
%{_bindir}/go-md2man
%{_mandir}/man1/*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-6
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-5
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.0.2-4
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 20 2022 Shuo Wang <abushwang@tencent.com> - 2.0.2-3
- enable debuginfo

* Fri Dec 16 2022 Shuo Wang <abushwang@tencent.com> - 2.0.2-2
- apply %gobuild macro

* Wed Dec 14 2022 Shuo Wang <abushwang@tencent.com> - 2.0.2-1
- initial build
